list chats
curl --request GET \
--url https://api.example.com/graph/chats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/graph/chats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/graph/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"page_size": 123,
"more": true,
"total_observations": 123,
"total_pages": 123,
"results": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"team_id": "<string>",
"team_slug": "<string>",
"project_id": "<string>",
"project_slug": "<string>",
"user": {
"id": "<string>",
"is_self": true,
"created_at": "2023-11-07T05:31:56Z",
"username": "<string>"
},
"total_messages": 123,
"code_version_id": "<string>",
"chat_type": "code",
"title": "<string>"
}
]
}{
"code": "auth.session_expired",
"message": "<string>"
}chat
list chats
list code version chat threads using search params. Returns a paginated response.
GET
/
graph
/
chats
list chats
Authorizations
API key in Bearer token format
Query Parameters
Available options:
created_at, updated_at Available options:
desc, asc ⌘I
